# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   python_stduy
# FileName:      db.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 19:30
# Description:
# 
# ---------------------------------------------------------------------------
import pymysql

from common.readini import ReadIni


from data_config.settings import *


class DB:
    def __init__(self):
        readini = ReadIni()
        self.conn = pymysql.connect(
            host=readini.get_sql(HOST1),
            port=int(readini.get_sql(PORT)),
            user=readini.get_sql(USER),
            passwd=readini.get_sql(PWD),
            database=readini.get_sql(DATABASE),
            charset="utf8"
        )
        self.cursor = self.conn.cursor()

    def close(self):
        self.cursor.close()
        self.conn.close()

    def delete(self, sqlsentence):
        self.cursor.execute(sqlsentence)
        self.conn.commit()

    def select(self, sqlsentence):
        self.cursor.execute(sqlsentence)
        result = self.cursor.fetchall()
        if result:
            return result[0][0]