# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   python_stduy
# FileName:      readini.py
# Author:       xxxxxxx
# Datetime:     2023/8/7 18:28
# Description:
# 
# ---------------------------------------------------------------------------
import os

import configparser


class ReadIni:
    def __init__(self):

        self.data_config_path = os.path.join(os.path.dirname(os.path.dirname(__file__)),"data_config")
        inipath = os.path.join(self.data_config_path,"config.ini")

        self.conf = configparser.ConfigParser()
        self.conf.read(inipath,encoding="utf-8")

    def get_file_path(self,key):
        file = self.conf.get("file",key)
        return os.path.join(self.data_config_path,file)

    def get_table_name(self,key):
        return self.conf.get("table_name",key)

    def get_host(self,key):
        return self.conf.get("host",key)

    def get_sql(self,key):
        return self.conf.get("sql",key)



if __name__ == '__main__':
    readini=ReadIni()
    print(readini.get_host('test_bpm'))


